#!/usr/bin/python
##### Smerni diagram polvalovnega dipola v kartezicnih koordinatah - S53MV 10.03.2018 #####

import math	#uporabljene funkcije

k=0.01		#korak risanja v radianih

x=[]		#polja za risanje grafa
y=[]
z=[]

t=0.0		#kot theta v radianih
while t<=math.pi:
	x=x+[t]			#dodaj tocko v risbo
	y=y+[math.sin(t)]
	f=0
	if math.sin(t)<>0:
		f=math.cos(math.pi/2*math.cos(t))/math.sin(t)
	z=z+[f]
	t=t+k			#povecaj t za korak

import matplotlib.pyplot as plt		#risanje grafa funkcije
fig=plt.figure()
plt.plot(x,y,'r-',lw=1.5)
plt.plot(x,z,'b-',lw=3)
plt.axis([0.0,math.pi,0.0,1.05])
plt.title('Smerni diagram polvalovnega dipola')
plt.xticks([0.0,math.pi/4,math.pi/2,3*math.pi/4,math.pi],['0',r'$\pi$/4',r'$\pi$/2',r'3$\pi$/4',r'$\pi$'])
plt.xlabel(r'Polarna razdalja $\Theta$ [rd]')
plt.ylabel('Relativna amplituda')
fig.savefig('smerni-k.svg', transparent=True)
plt.show()

#konec programa

